import 'package:example/localization/labels.dart';
import 'package:example/ui/activity_data_delegate.dart';
import 'package:example/ui/activity_data_insert.dart';
import 'package:example/ui/activity_home.dart';
import 'package:example/ui/activity_login.dart';
import 'package:example/ui/activity_private.dart';
import 'package:flutter/material.dart';
import 'package:flutterx_application/flutterx_application.dart';

void main() => runApplication(
    name: 'Flutterx Application Demo',
    routes: {
      HomeActivity.route,
      DataDelegateActivity.route,
      DataInsertActivity.route,
      LoginActivity.route,
      PrivateActivity.route,
    },
    labels: Labels.supportedLabels,
    onLabel: Labels.onLabel,
    materialAppFactory: (key, routerDelegate, routeInformationProvider, routeInformationParser, title, locale,
            localizationsDelegates, supportedLocales) =>
        MaterialApp.router(
            key: key,
            routerDelegate: routerDelegate,
            routeInformationProvider: routeInformationProvider,
            routeInformationParser: routeInformationParser,
            title: title,
            theme: _appTheme,
            locale: locale,
            localizationsDelegates: localizationsDelegates,
            supportedLocales: supportedLocales,
            debugShowCheckedModeBanner: false));

final _appTheme = ThemeData(
    primaryColor: Colors.blueGrey,
    colorScheme: ColorScheme.fromSwatch(
      primarySwatch: Colors.blueGrey,
    ),
    bottomSheetTheme: BottomSheetThemeData(
      backgroundColor: Colors.blueGrey[600],
    ));
